Bug 250937 - [msi] boot fails after upgrade to any 2.6.22.x kernel on A8V-XE
[msi] boot fails after upgrade to any 2.6.22.x kernel on A8V-XE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-05 14:53 EDT by Marc DeTrano
Modified: 2009-01-08 23:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg when the machine boots on kernel 2.6.21 (4.27 KB, text/plain)
2007-08-23 23:24 EDT, Marc DeTrano
no flags Details
lspci -n output (912 bytes, text/plain)
2007-09-01 20:13 EDT, Marc DeTrano
no flags Details
lspci -v output (10.74 KB, text/plain)
2007-09-01 20:14 EDT, Marc DeTrano
no flags Details

  None (edit)
Description Marc DeTrano 2007-08-05 14:53:35 EDT
Description of problem:
After upgrading to any 2.6.22 kernel (latest tried is 2.6.22.1-41), the system
fails to load right after trying to start Nash.  It is unable to find any Volume
Group, hence no root partition.  This is happening on an Asus A8V-XE mainboard
with dual core AMD 64 processor, with SATA hard drives (I have already tried
swapping the SATA cables, and also removing the extra 'data' drive).  System
continue to work on 2.6.21 kernel.

Version-Release number of selected component (if applicable): 2.6.22.1-41


How reproducible: Always


Steps to Reproduce:
1. Upgrade kernel to 2.6.22.x version
2. Restart system, booting on the latest kernel
3.
  
Actual results:
No Volume Groups found, unable to init, right after Red Hat Nash starting...

Expected results:
Continue booting the system

Additional info:
Smolt Hardware Profile:
http://smolt.fedoraproject.org/show?UUID=b0a773d5-e1ac-4d23-a413-3ff41f9dd91f
Comment 1 Chuck Ebbert 2007-08-22 15:46:05 EDT
Adding "boot_delay=200" should slow down the output during driver load, so
hopefully we can see what is failing. Try to see where it is loading the AHCI
driver for the diska and see if there are any error messages.
Comment 2 Marc DeTrano 2007-08-23 23:24:02 EDT
Created attachment 172390 [details]
output of dmesg when the machine boots on kernel 2.6.21
Comment 3 Marc DeTrano 2007-08-23 23:30:27 EDT
I tried booting 2.6.22.1-41 with the boot delay, and compared that output with
the dmesg output after a successful boot in 2.6.21 (excerpt attached to this bug).

I noticed that the irq in lines like:

ata1: SATA max UDMA/133 cmd 0xffffc20000022100 ctl 0x0000000000000000 bmdma
0x0000000000000000 irq 21

is "irq=2296" when the boot fails in 2.6.22 (not sure if that is relevant).

The problem seems to happen when trying to get the drive identification. I get
lines like:

ata1.00: qc_timeout (cmd 0xec)
ata1.00: failed to IDENTIFY (I/O error, err_mask = 0x4)

instead of something like..

ata1.00: ata_hpa_resize 1: sectors = 145226112, hpa_sectors = 145226112
ata1.00: ATA-7: WDC WD740ADFD-00NLR1, 20.07P20, max UDMA/133
ata1.00: 145226112 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata1.00: ata_hpa_resize 1: sectors = 145226112, hpa_sectors = 145226112
ata1.00: configured for UDMA/133
Comment 4 Chuck Ebbert 2007-08-24 10:22:18 EDT
Try adding "pci=nomsi" to the kernel command line.
Comment 5 Marc DeTrano 2007-08-25 17:19:30 EDT
Passing "pci=nomsi" to the kernel resolved the problem.

Note: problem continued in 2.6.22.4-65, and this option was still needed.
Comment 6 Chuck Ebbert 2007-08-28 15:22:43 EDT
Can you post output of 'lspci -n' and 'lspci -v' and information about the
Motherboard and BIOS version? If a BIOS update is available, does it help?
Comment 7 Marc DeTrano 2007-09-01 20:13:36 EDT
Created attachment 184661 [details]
lspci -n output

Attaching output of lspci -n
Comment 8 Marc DeTrano 2007-09-01 20:14:19 EDT
Created attachment 184681 [details]
lspci -v output

Attaching output of lspci -v
Comment 9 Marc DeTrano 2007-09-01 20:18:24 EDT
Attached lspci output as requested.

BIOS is up-to-date with latest from Asus.

dmidecode....
BIOS Information
        Vendor: Phoenix Technologies, LTD
        Version: ASUS A8V-XE ACPI BIOS Revision 0702
        Release Date: 09/25/2006
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 512 kB
Comment 10 Christopher Brown 2008-01-10 14:53:10 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged. 
Comment 11 Marc DeTrano 2008-01-13 13:40:06 EST
In kernel 2.6.23.9-85.fc8 I still have the same problem.  If I do not pass
pci=nomsi as an option the system will not find the system SATA drive and boot.
Comment 12 Bug Zapper 2008-05-14 09:53:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-11-26 02:38:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-01-08 23:49:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.